//This script creates a cantilever Gmsh model with dimensions
//dx, dy mesh grid nodesx, nodesy
//meshes = ['822', '1644', '3288', '641616', '422', '844', '1688', '321616', '643232', '1281616']
//params = [ 522,    933,   1755,    3399,    322,   533,    955     1799     331717 ,    6599  ]

SetFactory("OpenCASCADE");
dx = 1000.0;
dy = 200.0;

Point(1) = {0.0,0.0,0.0};
Point(2) = {dx,0.0,0.0};
Point(3) = {dx,dy,0.0};
Point(4) = {0.0,dy,0.0};

Line(1) = {1,2};
Line(2) = {2,3};
Line(3) = {3,4};
Line(4) = {4,1};

Curve Loop(1) = {1,2,3,4};
Plane Surface(1) = {1};

Physical Curve("fixedEnd") = {4};
Physical Curve("LoadX") = {2};
Physical Curve("LoadY") = {2};
Physical Curve("LoadZ") = {2};
Physical Surface("domain") = {1};

Mesh 2
Save("aaa.msh")