// This script creates the pipe Gmsh model

SetFactory("OpenCASCADE");
dx = 48;
dy = 0;
dz = 0;

R1 = 5;  
R2 = 4;  

nodesx = 65;
nodesy = 9;
nodesz = 9;


Cylinder(1) = {0, 0, 0, dx, dy, dz, R1};
Cylinder(2) = {0, 0, 0, dx, dy, dz, R2};

BooleanDifference{ Volume{1}; Delete; }{ Volume{2}; Delete;}

Physical Volume("domain") = {1};

Physical Surface("fixedEnd") = {7};
Physical Surface("dispEnd") = {6};

Transfinite Surface {1} = {9, 6};
Transfinite Surface {2} = {7, 4};
Transfinite Surface {3} = {6, 4, 5, 3};


//Physical Curve("freeEndTop") = {7};


